ClassAndMimeTypeRegistry (Grails 4.0.0)
Date: 2019-07-11

Package: org.grails.web.util

## [Groovy] Class ClassAndMimeTypeRegistry<R extends MimeTypeProvider, K>

- org.grails.web.util.ClassAndMimeTypeRegistry

- Abstract class for class that maintains a registry of mappings MimeType,Class and a particular object type. Used by RendererRegistry and DataBindingSourceRegistry

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addToRegisteredObjects(java.lang.Class targetType, R object)`
    `` | `K` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
    `` | `R` | `findMatchingObjectForMimeType(MimeType mimeType, java.lang.Object object)`
    `` | `protected R` | `findRegisteredObjectForType(java.lang.Class currentClass, MimeType mimeType)`
    `` | `java.util.Collection<R>` | `getRegisteredObjects(java.lang.Class targetType)`
    `` | `void` | `registerDefault(MimeType mt, R object)`
    `` | `void` | `removeFromCache(java.lang.Class type, MimeType mimeType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### void addToRegisteredObjects(java.lang.Class targetType, R object)

    - #### K createCacheKey(java.lang.Class type, MimeType mimeType)

    - #### R findMatchingObjectForMimeType(MimeType mimeType, java.lang.Object object)

    - #### protected R findRegisteredObjectForType(java.lang.Class currentClass, MimeType mimeType)

    - #### java.util.Collection<R> getRegisteredObjects(java.lang.Class targetType)

    - #### void registerDefault(MimeType mt, R object)

    - #### void removeFromCache(java.lang.Class type, MimeType mimeType)